/*******************************************************
//
//	Name: CDAudioSound.h
//
//	Author: Dave Ratti
//
//	Date:2-28-02
//
//	Modified: 
//
//	Notes: Direct Audio Sound Segment
//	
//
//
//
*********************************************************/



#ifndef CDAUDIO_SOUND
#define CDAUDIO_SOUND

#include "STRINGC.h"
#include "Singleton.h"
#include "CSound.h"

#include <dsound.h>
#include <dmusici.h>


class CDAudioSound: public CSound
{

public:
	
			 CDAudioSound();
	virtual ~CDAudioSound();

	virtual bool Init(STRINGC fileName);
	virtual bool Shutdown();	

	IDirectMusicSegment8* getSegment(){ return m_Segment; };
	
	void	downloadPerformance(IDirectMusicPerformance8* performance);

	IDirectMusicSegment8*	m_Segment;



protected:

	

};


#endif